## palemoon 28.6.1+repack

=== debian/changelog ===
palemoon (28.6.1+repack-1~mx17+1) mx; urgency=medium

  * Import new 28.6.1 security and bugfix update:
    - Improved handling of FTP resource loading (allow save-as and cater to some
      FTP-based browsing).
    - Added a preference (security.block_ftp_subresources) to allow users to
      completely bypass the blocking of FTP subresources if required for their
      environment, if the improvements made in this release do not suffice.
    - Added blocking of authentication-locked cross-origin image subresources by
      default to prevent spurious auth prompts.
    - A preference (network.auth.subresource-http-img-XO-auth) was added to
      allow users to bypass this blocking if required for their environment.
    - Changed the behavior of file: URIs to treat each URI as a unique origin.
      This prevents cross-file access from scripting.
    - A preference (security.fileuri.unique_origin) was added to allow users to
      relax this restriction if required for their environment.
    - Implemented a revised version of http2PushedStream to address some thread
      safety issues.
    - Aligned browser behavior with mainstream regarding inner window behavior
      when domain is manipulated.
    - Backed out a 28.5.* patch for causing multiple issues in the UI and web
      content.
    - Updated NSS to 3.41.2 (custom) to pick up several upstream fixes.
    - Fixed a type confusion issue in JavaScript Arrays. (DiD)
    - Added a fix for cross-thread access of Necko. (DiD)
    - Added a port safety check for Alternative Services.
    - Implemented fixes for applicable security issues: CVE-2019-11719,
      CVE-2019-11711, CVE-2019-11715, CVE-2019-11717, CVE-2019-11714 (DiD),
      CVE-2019-11729 (DiD), CVE-2019-11727 (DiD), CVE-2019-11730 (DiD),
      CVE-2019-11713 (DiD) and several networking and memory-safety hazards
      that do not have CVE numbers.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 24 Jul 2019 18:55:35 -0700

palemoon (28.6.0.1+repack-1~mx19+1) mx; urgency=medium

  * Out-of-band update to fix some pressing issues:
    - Updated the application icon to provide better visuals on Windows classic
      and other grey backgrounds.
    - Reduced the Master Password hashing rounds to prevent issues with stored
      password retrieval while still sufficiently strengthening the encryption.
      If you have previously re-keyed the database after the update to 28.6.0,
      you should do so again by going through the change master password process
      to reduce access times.
    - Updated the WhatsApp Web site-specific user-agent override to respond to
      Google refusing access based on the old string.
    - Updated the branding for the portable launcher.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 05 Jul 2019 16:33:56 -0700
