## palemoon 28.7.0+repack

=== debian/changelog ===
palemoon (28.7.0+repack-1~mx19+1) mx; urgency=medium

  * New major upstream release:
    - Landed a large JavaScript parser tune-up, which as a targeted goal brings
      our ES6 stringification fully in line with the ES2018 revision for
      classes, and implements rest/spread parameters for object literals.
      (Cheers to Luke!)
    - Fixed a crash with the tuned-up parser code when certain error messages
      were triggered.
    - Aligned browser behavior with mainstream regarding inner window behavior
      when domain is manipulated.
    - Improved performance dealing with frame properties.
    - Improved performance for handling html5 strings.
    - Improved performance of image content loading.
    - Fixed potential type confusion in array joins.
    - Fixed an issue on some pages causing high CPU usage when wrongly
      specifying plugin content.
    - Fixed an issue with the add-ons manager "discover" pane if no network
      connection is present.
    - Fixed an issue with bookmark/history search results offering context menu
      options that would be invalid without a selection.
    - Fixed the devtools JSON viewer and enabled it by default.
    - Fixed searching from about:home not working for search plugins using the
      POST method.
    - Fixed an issue with the checkboxes for location bar preferences.
    - Fixed SVG alignment issues if SVG-containing elements fall on odd pixel
      sizes, causing blurry display of especially small SVGs like icons/glyphs.
    - SVGs will now always be pixel-snapped to provide expected crisp display.
    - Fixed precompilation of Sync client modules when packaging. This also
      removes the redundant services.sync.enabled pref.
    - Added support for matroska containers and h264-based webm video formats.
    - Added support for AAC audio in matroska and webm video formats.
    - Added support for spaces in the Mac package and application name.
    - Added an exception to the unique file origin policy for font types.
    - Added native file picker support for xdg on Linux.
    - Updated the default bookmark icons.
    - Updated the SQLite lib to 3.29.0.
    - Removed e10s information from about:troubleshooting.
    - Removed hotfix leftovers.
    - Removed the WebIDE developer tool.
    - Removed conditional build-time disabling of the Pale Moon status bar code.
    - Removed "Delete this page" and "Forget about this site" links from live
      bookmarks (since they make no sense on feeds).
    - Removed the Financial Times' polyfill user-agent override since they
      updated their detection to work with Pale Moon.

  * Add code to force the use of gcc-8 on Bullseye, Sid, and Eoan, now that the
    default gcc version in those versions is 9.
  * Add lsb-release to build-depends to enable the distrelease detection.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 30 Aug 2019 11:05:05 -0700

palemoon (28.6.1+repack-2) obs; urgency=medium

  * Add override for dh_strip_nondeterminism to address build failures with the
    latest version of that in Debian Testing and Sid.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Aug 2019 14:48:44 -0700

palemoon (28.6.1+repack-1~mx19+1) mx; urgency=medium

  * Import new 28.6.1 security and bugfix update:
    - Improved handling of FTP resource loading (allow save-as and cater to some
      FTP-based browsing).
    - Added a preference (security.block_ftp_subresources) to allow users to
      completely bypass the blocking of FTP subresources if required for their
      environment, if the improvements made in this release do not suffice.
    - Added blocking of authentication-locked cross-origin image subresources by
      default to prevent spurious auth prompts.
    - A preference (network.auth.subresource-http-img-XO-auth) was added to
      allow users to bypass this blocking if required for their environment.
    - Changed the behavior of file: URIs to treat each URI as a unique origin.
      This prevents cross-file access from scripting.
    - A preference (security.fileuri.unique_origin) was added to allow users to
      relax this restriction if required for their environment.
    - Implemented a revised version of http2PushedStream to address some thread
      safety issues.
    - Aligned browser behavior with mainstream regarding inner window behavior
      when domain is manipulated.
    - Backed out a 28.5.* patch for causing multiple issues in the UI and web
      content.
    - Updated NSS to 3.41.2 (custom) to pick up several upstream fixes.
    - Fixed a type confusion issue in JavaScript Arrays. (DiD)
    - Added a fix for cross-thread access of Necko. (DiD)
    - Added a port safety check for Alternative Services.
    - Implemented fixes for applicable security issues: CVE-2019-11719,
      CVE-2019-11711, CVE-2019-11715, CVE-2019-11717, CVE-2019-11714 (DiD),
      CVE-2019-11729 (DiD), CVE-2019-11727 (DiD), CVE-2019-11730 (DiD),
      CVE-2019-11713 (DiD) and several networking and memory-safety hazards
      that do not have CVE numbers.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 24 Jul 2019 18:55:35 -0700
