## palemoon 28.7.1+repack

=== debian/changelog ===
palemoon (28.7.1+repack-1~mx19+1) mx; urgency=medium

  * Import 28.7.1 security and bugfix update:
    - Fixed an issue where saving a webpage to disk would sometimes drop tags
      from the document.
    - Fixed an issue with click-to-play plugin content throwing up a blank
      notification.
    - Fixed an issue in the renderer where region intersections would sometimes
      return the wrong result. This fixes a regression caused by the fix for
      CVE-2016-5252.
    - Fixed security issues: CVE-2019-11744, CVE-2019-11752, CVE-2019-11737,
      CVE-2019-11746, CVE-2019-11750, CVE-2019-11747 and CVE-2019-11738.
    - Unified XUL Platform Mozilla Security Patch Summary: 7 fixed, 1 DiD,
      1 already covered, 22 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 10 Sep 2019 20:48:42 -0700
