=== debian/rules ===
--- 
+++ 
@@ -3,18 +3,17 @@
 export SHELL=/bin/bash
 
 # Build with gcc-8 on releases where default gcc is 9
-distrelease := $(shell lsb_release -cs)
-ifeq ($(distrelease),$(filter $(distrelease),bullseye sid eoan))
-export CC=gcc-8
-export CXX=g++-8
-export CPP=cpp-8
-export LD=gcc-8
-
-override_dh_strip_nondeterminism:
-	dh_strip_nondeterminism -Xdebian/palemoon/usr/lib/palemoon/browser/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}.xpi
-
-endif
-
+# distrelease := $(shell lsb_release -cs)
+# ifeq ($(distrelease),$(filter $(distrelease),bullseye sid eoan))
+# export CC=gcc-8
+# export CXX=g++-8
+# export CPP=cpp-8
+# export LD=gcc-8
+# 
+# override_dh_strip_nondeterminism:
+# 	dh_strip_nondeterminism -Xdebian/palemoon/usr/lib/palemoon/browser/extensions/# {972ce4c6-7e08-4474-a285-3208198ce6fd}.xpi
+#
+# endif
 
 %:
 	dh $@
