## palemoon 28.7.2+repack

=== debian/changelog ===
palemoon (28.7.2+repack-1~mx15+1) mx; urgency=medium

  * Import 28.7.2 security and bugfix update:
    - Disabled the use of ICC color profiles for images on Linux by default.
    - Updated timezone data for internationalization functions.
    - Fixed the option to use hardware acceleration over RDP for Windows 8.1
      and 10.
    - Fixed an issue with inner window navigation potentially leaking.
    - Fixed a startup crash caused by Qihoo 360 Safeguard/360 Total Security.
    - Ported some expat parser fixes from upstream.
    - Ported several NSS upstream fixes to our build.
    - Aligned handling of U+0000 in the html5 parser with expectations.
    - Added size checks to WebGL data buffering.
    - Fixed build issues with newer glibc versions.
    - Fixed build issues for ARM targets.
    - Worked around a gcc9 compiler issue that would prevent building with it.
    - Sec bug fixes: CVE-2019-15903, CVE-2019-11757, CVE-2019-11763 and several
      potentially exploitable crashes and memory safety hazards that don't have
      a CVE number.
    - Unified XUL Platform Mozilla Security Patch Summary: 6 fixed, 6 DiD,
      1 rejected, 24 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Oct 2019 10:41:23 -0700

palemoon (28.7.1+repack-1) obs; urgency=medium

  * Import 28.7.1 security and bugfix update:
    - Fixed an issue where saving a webpage to disk would sometimes drop tags
      from the document.
    - Fixed an issue with click-to-play plugin content throwing up a blank
      notification.
    - Fixed an issue in the renderer where region intersections would sometimes
      return the wrong result. This fixes a regression caused by the fix for
      CVE-2016-5252.
    - Fixed security issues: CVE-2019-11744, CVE-2019-11752, CVE-2019-11737,
      CVE-2019-11746, CVE-2019-11750, CVE-2019-11747 and CVE-2019-11738.
    - Unified XUL Platform Mozilla Security Patch Summary: 7 fixed, 1 DiD,
      1 already covered, 22 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 10 Sep 2019 20:48:42 -0700
