=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: debhelper (>= 9),
         lsb-release,
-        gcc-8 | gcc (>= 4.9),
-        g++-8 | gcc (>= 4.9),
-        cpp-8 | gcc (>= 4.9),
+#        gcc-8,
+#        g++-8,
+#        cpp-8,
         autoconf2.13,
         python (>= 2.7),
         unzip,
