## palemoon 28.8.0+repack

=== debian/changelog ===
palemoon (28.8.0+repack-1~mx19+1) mx; urgency=medium

  * New major upstream release:
    - New features:
      - Added support for modern Solaris operating systems like Illumos
        (thanks Athenian200!).
      - Implemented position:sticky for table parts - You can now use CSS to e.g.
        stick table headers so they don't scroll off the screen!
      - Enabled basic implementation of module type scripting. While not fully 
        spec compliant (yet), this will fix the few web compatibility issues with
        sites that rely on this feature without fallback (e.g. the Chromium
        bugtracker).
      - Implemented Promise.prototype.finally() (ES2018).
      - Implemented Regular Expression lookbehind (ES2018).
      - Implemented Regular Expression /s flag (dotAll support) (ES2018).
      - Implemented String.prototype.matchAll (regex) (ES2020).
      - Added Ekoru to the list of default search engines. This is a Bing-backed
        search engine that donates the majority of its revenue to various
        charities that support the planet and animals. An environment-supporting
        alternative to Ecosia if you don't want to support Google in the process.

    - Changes/fixes:
      - Changed the way tables are rendered to fix a number of spec compliance
        issues and allow relative positioning of table parts.
      - Removed the unused DiskSpaceWatcher component.
      - Updated cairo code.
      - Updated SQLite to 3.30.1.
      - Updated the Brotli library to 1.0.7.
      - Updated the woff2 library to 1.0.2.
      - Updated the OpenType Sanitizer to 8.0.0.
      - Updated the Javascript math library for precision and performance fixes.
      - Updated the embedded Emoji font to Mozilla's COLR-mapped twemoji 0.5.0
        (Twemoji 12.1.3), to support Emoji 12.
      - Improved CSS grid rendering.
      - Made the second argument of (DOM/CSS) insertRule() optional for (Chrome)
        web compatibility.
      - Removed the non-standard object.prototype.watch()/unwatch() functions.
        Please note that this may affect some extensions; those will need to be
        updated to no longer use these non-standard functions.
      - Fixed the status bar module to work around an issue with relying on
        watch()/unwatch().
      - Fixed a build failure in the libcubeb sndio module.
      - Fixed a small oversight in the release branch that would potentially
        still mark jnlp files as executable.
      - Fixed the certificate retrieval logic in the certificate exception
        dialog.
      - Fixed an issue with add-ons potentially getting confused during add-on
        updates due to cached scripts.
      - Fixed a crash due to unnecessary reparenting calls in layout.
      - Reinstated the mentioning of the number of accelerated/total windows in
        Troubleshooting Information, for completeness.
      - Moved the embedded font for Emoji from application to platform so all
        UXP applications can easily benefit from it (thanks Tobin!).
      - Cleaned up the jemalloc code: Removed dead/unused code, removed
        conditionals around "always on" code, and made the allocator VLA-free.

    - Security-related fixes:
      - Added a preference for, and disabled, the confirmation prompt for URL
        authentication (prevents evil traps).
      - Disabled the use of HPKP by default due to the inherent risks involved
        with this feature. A preference was added to completely disable header
        processing, and using preloaded pins is effectively disabled. Please
        note that this is automatically disabled by default for everyone,
        regardless of your previous setting for this feature, and it is strongly
        recommended you keep this feature disabled. HPKP will eventually be
        removed (overall Internet concensus).
      - Fixed a potential issue when interacting with plugins. (DiD)
      - Fixed a potential crash scenario when reading PAC configuration. (DiD)
      - Fixed a potential issue with text selection painting. (DiD)
      - Fixed an issue with element references not being properly updated. (DiD)
      - Fixed an issue with incorrect saving of web pages as text. (DiD)
      - Fixed a potential issue with clipboard handling. (DiD)
      - Fixed a potential issue with attaching the debugger to web workers. (DiD)
      - Updated NSS to 3.41.4 to address CVE-2019-11756 and CVE-2019-11745.
      - Unified XUL Platform Mozilla Security Patch Summary: 2 fixed, 8 DiD, 16
        not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 11 Dec 2019 15:42:31 -0800

palemoon (28.7.2+repack-1) obs; urgency=medium

  * Import 28.7.2 security and bugfix update:
    - Disabled the use of ICC color profiles for images on Linux by default.
    - Updated timezone data for internationalization functions.
    - Fixed the option to use hardware acceleration over RDP for Windows 8.1
      and 10.
    - Fixed an issue with inner window navigation potentially leaking.
    - Fixed a startup crash caused by Qihoo 360 Safeguard/360 Total Security.
    - Ported some expat parser fixes from upstream.
    - Ported several NSS upstream fixes to our build.
    - Aligned handling of U+0000 in the html5 parser with expectations.
    - Added size checks to WebGL data buffering.
    - Fixed build issues with newer glibc versions.
    - Fixed build issues for ARM targets.
    - Worked around a gcc9 compiler issue that would prevent building with it.
    - Sec bug fixes: CVE-2019-15903, CVE-2019-11757, CVE-2019-11763 and several
      potentially exploitable crashes and memory safety hazards that don't have
      a CVE number.
    - Unified XUL Platform Mozilla Security Patch Summary: 6 fixed, 6 DiD,
      1 rejected, 24 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Oct 2019 10:41:23 -0700
