## palemoon 28.8.2+repack

=== debian/changelog ===
palemoon (28.8.2+repack-1~mx19+1) mx; urgency=medium

  * New small bugfix and compatibility update:
    - Reverted the addition of JavaScript regular expression lookarounds since
      the implementation caused crashes. We'll have to revisit this later.
    - Fixed an issue where FTP servers would hang the browser if they were not
      sending answers according to the protocol specification.
    - Added a workaround for GitHub trying to enforce more Google-isms (which we
      don't support at this time) to browsers that identify as "Firefox-alike". 

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Jan 2020 13:38:49 -0800
