## palemoon 28.8.2.1+repack

=== debian/changelog ===
palemoon (28.8.2.1+repack-1mx19+1) mx; urgency=medium

  * This is a minor release in response to YouTube deprecating their old web UI.
    This change will enable the new YouTube UI by default.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 04 Feb 2020 15:57:40 -0800
