## palemoon 28.8.3+repack

=== debian/changelog ===
palemoon (28.8.3+repack-1mx19+1) mx; urgency=medium

  * This is a regular maintenance bugfix and security release.
    - Fixed an issue in CSP blocking requests without a port for custom schemes.
    - Fixed a potentially hazardous crash in layers.
    - Fixed random crashes on some sites using IndexedDB.
    - Changed the way the application can be invoked from the command-line to 
      prevent a whole class of potential exploits involving modified omnijars.
      If your special-needs environment requires that you launch the browser 
      with custom browser/gre omnijars from the command-line, you must set the
      UXP_CUSTOM_OMNI environment variable before launch from this point
      forward.
    - Fixed an issue in the html parser after using HTML5 template tags,
      allowing JavaScript parsing and execution when it should not be allowed,
      risking XSS vulnerabilities on sites relying on correct operation of the
      browser. (CVE-2020-6798)

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 18 Feb 2020 16:27:25 -0800

palemoon (28.8.2.1+repack-1) obs; urgency=medium

  * This is a minor release in response to YouTube deprecating their old web UI.
    This change will enable the new YouTube UI by default.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 04 Feb 2020 15:57:40 -0800
