## palemoon 28.8.4+repack

=== debian/changelog ===
palemoon (28.8.4+repack-1mx19+1) mx; urgency=medium

  * This is a small security and compatibility update.
    - Implemented optional catch binding (ES2019).
    - Fixed a hazardous crash related to module scripting.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 01 Mar 2020 12:31:51 -0800
