## palemoon 28.9.0.2

=== debian/changelog ===
palemoon (28.9.0.2-1mx19+1) mx; urgency=medium

  * This is a small bugfix update addressing 2 more important issues in 28.9.0:
    - Fixed an issue with browser migration and initialization code causing
      various browser run-time problems.
    - Fixed an issue with cache behavior where some users would have trouble
      having their windows and tabs restored in "soft refresh" mode
      (see v28.9.0 release notes).

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 26 Mar 2020 17:02:54 -0700
