=== debian/control ===
--- 
+++ 
@@ -5,10 +5,6 @@
 Bugs: mailto: <maintainer@mepiscommunity.org>
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: debhelper (>= 9),
-        lsb-release,
-#        gcc-8,
-#        g++-8,
-#        cpp-8,
         autoconf2.13,
         python (>= 2.7),
         unzip,
