## palemoon 28.9.1

=== debian/changelog ===
palemoon (28.9.1-1mx19+1) mx; urgency=medium

  * New upstream release:
    - Re-imported the ExtensionStorage js module for use by browser extensions.
    - Fixed an issue with the WebRequest module having erroneously un-processed
      build directives in it. This might have caused some subtle breakage.
    - Removed the use of high-resolution Windows system timers from the layout
      refresh driver; this should help with some performance and battery life
      issues.
    - Fixed an issue where various parts of hardware acceleration weren't
      properly linked when changing the option from preferences. If you have
      changed the preferences option to "use hardware acceleration when
      available" between 28.9.0 and this release, it is recommended that you go
      into preferences and toggle the option off/on to the preferred setting to
      correct any discrepancies.
    - Fixed an issue with building the user-agent string using the build date
      as ID.
    - Fixed an issue with the release of document content viewers
      (CVE-2020-6819). DiD
    - Fixed an issue with handling functions with rest parameters. DiD
    - Unified XUL Platform Mozilla Security Patch Summary: 2 Defense-in-depth,
      14 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 11 Apr 2020 22:39:44 -0700

palemoon (28.9.0.2+repack-3) obs; urgency=medium

  * Add libfontconfig1-dev to BDs to work around FTBFS on OBS with Sid.
    (and soon others)

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 06 Apr 2020 11:38:14 -0700
