## palemoon 28.9.2

=== debian/changelog ===
palemoon (28.9.2-1mx15+1) mx; urgency=medium

  * Minor update for stability and compatibility:
    - Re-based the 28.9 version of browsers on a separate development branch
      that excludes the extensive work being done for Google WebComponents, to
      avoid potential performance and stability issues caused by as-of-yet
      incomplete and in-progress code for the new milestone.
    - Enabled DOM High Resolution timestamps for compatibility with websites
      that strictly rely on them for operation.
    - Added a preference to allow copying the unescaped URL from the address bar
      (especially useful for internationalized domain names and paths). To
      enable this, set browser.urlbar.decodeURLsOnCopy to true in about:config
    - Fixed several application crashes (thanks, Fysac!)

  * Build with gcc-7 or gcc-6 if available to avoid FTBFS on i386.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 May 2020 00:31:59 -0700

palemoon (28.9.1-1) obs; urgency=medium

  * New upstream release:
    - Re-imported the ExtensionStorage js module for use by browser extensions.
    - Fixed an issue with the WebRequest module having erroneously un-processed
      build directives in it. This might have caused some subtle breakage.
    - Removed the use of high-resolution Windows system timers from the layout
      refresh driver; this should help with some performance and battery life
      issues.
    - Fixed an issue where various parts of hardware acceleration weren't
      properly linked when changing the option from preferences. If you have
      changed the preferences option to "use hardware acceleration when
      available" between 28.9.0 and this release, it is recommended that you go
      into preferences and toggle the option off/on to the preferred setting to
      correct any discrepancies.
    - Fixed an issue with building the user-agent string using the build date
      as ID.
    - Fixed an issue with the release of document content viewers
      (CVE-2020-6819). DiD
    - Fixed an issue with handling functions with rest parameters. DiD
    - Unified XUL Platform Mozilla Security Patch Summary: 2 Defense-in-depth,
      14 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 11 Apr 2020 22:39:44 -0700
