=== debian/control ===
--- 
+++ 
@@ -5,6 +5,10 @@
 Bugs: mailto: <maintainer@mepiscommunity.org>
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: autoconf2.13,
+# stuff for the gcc conditionals
+             gcc-7 | gcc-6 | gcc,
+             g++-7 | g++-6 | g++,
+             lsb-release,
                debhelper (>= 9),
                libasound2-dev,
                libdbus-1-dev (>=0.60),
@@ -21,8 +25,8 @@
                unzip,
                yasm (>= 1.1),
                zip,
-# currently only necessary for Sid on the OBS.
-#               libfontconfig1-dev,
+# only necessary for Sid on the OBS ATM.
+               libfontconfig1-dev,
 Standards-Version: 3.9.6
 Homepage: http://www.palemoon.org/
