## palemoon 28.9.3

=== debian/changelog ===
palemoon (28.9.3-1mx19+1) mx; urgency=medium

  * Security update:
    - Fixed a potential vulnerability in the zip file reader. DiD
    - Fixed a potential vulnerability in the JavaScript JIT compiler related to
      aliases. DiD
    - Ported several upstream devtools fixes (addresses CVE-2020-12392 and
      CVE-2020-12393).
    - Improved memory safety of some WebAudio calls.
    - Improved memory safety in the XUL window destructor. DiD
    - Unified XUL Platform Mozilla Security Patch Summary: 3 fixed, 
      3 Defense-in-depth, 16 not applicable.
      
  * debian:mozconfig: some streamlining of the linker flag syntax.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 08 May 2020 10:48:02 -0700

palemoon (28.9.2-2mx19+1) mx; urgency=medium

  * debian/mozconfig: 
    - small modifications to comply with currently advised settings.
    - pass some memory reducing flags to linker to avoid memory exhaustion with
      gcc-8 and above on i386 and armhf arches.

  * Add autoconf2.13 to build-depends.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 02 May 2020 10:07:31 -0700

palemoon (28.9.2-1) obs; urgency=medium

  * Minor update for stability and compatibility:
    - Re-based the 28.9 version of browsers on a separate development branch
      that excludes the extensive work being done for Google WebComponents, to
      avoid potential performance and stability issues caused by as-of-yet
      incomplete and in-progress code for the new milestone.
    - Enabled DOM High Resolution timestamps for compatibility with websites
      that strictly rely on them for operation.
    - Added a preference to allow copying the unescaped URL from the address bar
      (especially useful for internationalized domain names and paths). To
      enable this, set browser.urlbar.decodeURLsOnCopy to true in about:config
    - Fixed several application crashes (thanks, Fysac!)

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 May 2020 00:31:59 -0700
